Runtime

## org.eclipse.gmf.runtime.notation
Interface FillStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Style

All Known Subinterfaces:
  Shape, ShapeStyle

All Known Implementing Classes:
  FillStyleImpl, ShapeImpl, ShapeStyleImpl

    public interface FillStyle

extends Style

A representation of the model object 'Fill Style'.

The fill style is a style to specify the fill properties of a node

The following features are supported:

- `Fill Color`
- `Transparency`
- `Gradient`

See Also:
  `NotationPackage.getFillStyle()`
** Generated **
Model:

Method Summary
`int` `getFillColor()` Returns the value of the 'Fill Color' attribute.
`GradientData` `getGradient()` Returns the value of the 'Gradient' attribute
`int` `getTransparency()` Returns the value of the 'Transparency' attribute.
`void` `setFillColor(int value)` Sets the value of the '`Fill Color`' attribute
`void` `setGradient(GradientData value)` Sets the value of the '`Gradient`' attribute
`void` `setTransparency(int value)` Sets the value of the '`Transparency`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFillColor

    int getFillColor()

  Returns the value of the 'Fill Color' attribute. The default value is `"16777215"`.

  The fill color is the color used in painting the background of node visuals

  Returns:
    the value of the 'Fill Color' attribute.
  See Also:
    `setFillColor(int)`, `NotationPackage.getFillStyle_FillColor()`
  ** Generated **
  Model:
    default="16777215"

### setFillColor

    void setFillColor(int value)

  Sets the value of the '`Fill Color`' attribute.

  The fill color is the color used in painting the background of node visuals

  Parameters:
    `value` - the new value of the 'Fill Color' attribute.
  See Also:
    `getFillColor()`
  ** Generated **

### getTransparency

    int getTransparency()

  Returns the value of the 'Transparency' attribute. The default value is `"-1"`.

  If the meaning of the 'Transparency' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Transparency' attribute.
  See Also:
    `setTransparency(int)`, `NotationPackage.getFillStyle_Transparency()`
  ** Generated **
  Model:
    default="-1"

### setTransparency

    void setTransparency(int value)

  Sets the value of the '`Transparency`' attribute.

  Parameters:
    `value` - the new value of the 'Transparency' attribute.
  See Also:
    `getTransparency()`
  ** Generated **

### getGradient

    GradientData getGradient()

  Returns the value of the 'Gradient' attribute.

  If the meaning of the 'Gradient' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Gradient' attribute.
  See Also:
    `setGradient(GradientData)`, `NotationPackage.getFillStyle_Gradient()`
  ** Generated **
  Model:
    dataType="org.eclipse.gmf.runtime.notation.GradientData"

### setGradient

    void setGradient(GradientData value)

  Sets the value of the '`Gradient`' attribute.

  Parameters:
    `value` - the new value of the 'Gradient' attribute.
  See Also:
    `getGradient()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.